package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: mq enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/1
 */
public enum MqEnum {

    /**
     * 用户session记录
     */
    SESSION(0, "用户session记录"),

    /**
     * 考生轨迹
     */
    EXAM_STUDENT_LOG(1, "考生轨迹"),
    /**
     * 预警日志
     */
    WARMING_LOG(2, "预警日志"),

    /**
     * 异常日志
     */
    EXCEPTION_LOG(3, "异常日志"),

    /**
     * 消息日志
     */
    MESSAGE_LOG(4, "消息日志"),

    /**
     * 用户轨迹
     */
    USER_LOG(5, "用户轨迹"),

    /**
     * 任务
     */
    TASK_LOG(6, "任务"),

    /**
     * quartz
     */
    QUARTZ_LOG(7, "quartz任务"),
    
    EXAM(8, "考生端消息"),

    /**
     * websocket强行交卷
     */
    WEBSOCKET_OFFLINE_LOG(8, "websocket强行离线(交卷)"),

    /**
     * websocket im
     */
    WEBSOCKET_IM_LOG(9, "websocket发送消息"),

    /**
     * websocket超时退出
     */
    WEBSOCKET_UN_NORMAL_LOG(100, "websocket超时退出");

    private int id;

    private String code;

    private MqEnum(int id, String code) {
        this.id = id;
        this.code = code;
    }

    public int getId() {
        return id;
    }

    public String getCode() {
        return code;
    }
}
