package com.qmth.themis.mq.enums;

/**
 * @Description: mq group enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/28
 */
public enum MqGroupEnum {

    /**
     * web group
     */
    sessionConsumerWebGroup("themis-group-exam-sessionWeb"),

    /**
     * win group
     */
    sessionConsumerWinGroup("themis-group-exam-sessionWin"),

    /**
     * mac group
     */
    sessionConsumerMacGroup("themis-group-exam-sessionMac"),

    /**
     * wxapp group
     */
    sessionConsumerWxappGroup("themis-group-exam-sessionWxapp"),

    /**
     * ios group
     */
    sessionConsumerIosGroup("themis-group-exam-sessionIos"),

    /**
     * android group
     */
    sessionConsumerAndroidGroup("themis-group-exam-sessionAndroid"),

    /**
     * 用户轨迹 user group
     */
    userLogConsumerUserGroup("themis-group-exam-userLogUser"),

    /**
     * 用户轨迹 student group
     */
    userLogConsumerStudentGroup("themis-group-exam-userLogStudent"),

    /**
     * 异步任务 考生导入 group
     */
    taskConsumerExamStudentImportGroup("themis-group-exam-taskExamStudentImport"),

    /**
     * 异步任务 考场导出 group
     */
    taskConsumerRoomCodeExportGroup("themis-group-exam-taskRoomCodeExport"),

    /**
     * 异步任务 考场导入 group
     */
    taskConsumerRoomCodeImportGroup("themis-group-exam-taskRoomCodeImport"),

    /**
     * 异步任务 试卷导入 group
     */
    taskConsumerExamPaperImportGroup("themis-group-exam-taskExamPaperImport"),

    /**
     * websocket超时退出 考生 group
     */
    websocketConsumerOeGroup("themis-group-exam-websocketOe"),

    /**
     * websocket超时退出 考生 group
     */
    websocketConsumerUnNormalGroup("themis-group-exam-websocketUnNormal"),

    /**
     * quartz 考场 group
     */
    quartzConsumerExamActivityGroup("themis-group-exam-quartzExamActivity"),
	
    /**
     * 通用分组
     */
    normalGroup("themis-group-exam-normal");

    private MqGroupEnum(String code) {
        this.code = code;
    }

    private String code;

    public String getCode() {
        return code;
    }
}
